"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypescriptClassVueFileCreator = void 0;
const vue_file_creator_1 = require("./vue-file-creator");
class TypescriptClassVueFileCreator extends vue_file_creator_1.VueFileCreator {
    wrapVueContent(parsedMarkdown, imports, fileName) {
        return `<template>
  <div>
    ${parsedMarkdown}
  </div>
</template>

<script lang="ts">
  ${imports}
  ${this.additionalImports}

  @Component
  export default class ${this.getComponentName(fileName)} extends Vue {}
</script>
`;
    }
    get additionalImports() {
        return `import Vue from 'vue'
  import { Component } from 'vue-property-decorator'`;
    }
}
exports.TypescriptClassVueFileCreator = TypescriptClassVueFileCreator;
//# sourceMappingURL=typescript-class-vue-file-creator.js.map