"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VueFileCreator = void 0;
const imports_creator_1 = require("./imports-creator");
class VueFileCreator {
    constructor() {
        this.importsCreator = new imports_creator_1.ImportsCreator();
    }
    create(parsedMarkdown, dependencies, filename) {
        const dependenciesImports = this.importsCreator.createImports(dependencies);
        const fileContent = this.wrapVueContent(parsedMarkdown, dependenciesImports, filename);
        return fileContent;
    }
    getComponentName(filename) {
        return (filename
            .split('-')
            .map((filenamePart) => filenamePart[0].toUpperCase() + filenamePart.slice(1))
            .join('') || '');
    }
}
exports.VueFileCreator = VueFileCreator;
//# sourceMappingURL=vue-file-creator.js.map